Name:           pasmo
Version:        0.5.4
Release:        0.1.beta2%{?dist}
Summary:        Multiplatform Z80 cross-assembler

Group:          Development/Languages
License:        GPL+
URL:            http://www.speccy.org/pasmo/
Source0:        http://www.speccy.org/pasmo/bin/%{name}-%{version}.beta2.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Pasmo is a multiplatform Z80 cross-assembler, easy to compile and easy to use.
It can generate object code in several formats suitable for many Z80 machines
and emulators.

Pasmo generates fixed position code, can not be used to create relocatable
object files for use with linkers.

Pasmo is compatible with the syntax used in several old assemblers, by
supporting several styles of numeric and string literals and by providing
several names of the most used directives.
However, in Pasmo the Z80 mnemonics, register and flags names and directives
are reserved words, this may require changes of symbol names conflicting in
some programs.

Pasmo can also generate the 8086 equivalent to the z80 assembly code. It can
create COM files for ms-dos, by using the binary generation mode, or CMD files
for CP/M 86, by using the --cmd generation mode. This feature is experimental,
use with care.


%prep
%setup -q -n %{name}-%{version}.beta2


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README pasmodoc.html
%{_bindir}/%{name}


%changelog
* Fri Sep 09 2011 Dan Horák <dan[at]danny.cz> - 0.5.4-0.1.beta2
- initial Fedora version
